import board
import time
import digitalio
import pwmio
import neopixel
import random
from adafruit_apds9960.apds9960 import APDS9960
from audiomp3 import MP3Decoder
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

path = "sounds/"
i2c = board.I2C()
multi_sensor1 = APDS9960(i2c)
multi_sensor1.enable_proximity = True
multi_sensor2 = APDS9960(i2c)
multi_sensor2.enable_proximity = True


strip_pin= board.A1
strip_num_of_lights = 20
strip = neopixel.NeoPixel(strip_pin, strip_num_of_lights, brightness = 0.5, auto_write = True )


from adafruit_led_animation.animation.comet import Comet
comet_strip = Comet(strip, 0.1, color = (255,0,0), tail_length = int(30/2), bounce = True)

from adafruit_led_animation.animation.blink import Blink
blink_strip = Blink(strip, speed = 0.1, color = (255, 222, 30))

audio = AudioOut(board.D2)

from audiocore import WaveFile

choice = -1

try:
    from audioio import AudioOut
except ImportError:
    try:
        from audiopwmio import PWMAudioOut as AudioOut
    except ImportError:
        print("This board does not support AudioOut")
        pass

strip.fill((0,0,0))
strip.write()

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            poison()
            time.sleep(0.1)
        strip.fill((0,0,0))
        strip.write()

def play_sound1(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            youth()
            time.sleep(0.1)
        strip.fill((0,0,0))
        strip.write()

def youth():
    blink_strip.animate()
    strip.write()

def poison():
    comet_strip.animate()
    strip.write()

while True:
    reading1 = multi_sensor1.proximity
    print((reading1,))
    time.sleep(0.1)
    reading2 = multi_sensor2.proximity
    print((reading2,))
    time.sleep(0.1)
    random_number = random.randint(1,2)
    if reading1 < 4:
        if random_number == 1:
            choice = 1
            play_sound1("Sarah2.wav")
            time.sleep(2)
            print("playing")
        else:
            choice = 2
            play_sound("Sarah.wav")
            time.sleep(0.1)
            print("playing")
            time.sleep(2)
    if reading2 < 4:
        if random_number == 1:
            choice = 1
            play_sound1("Sarah2.wav")
            time.sleep(2)
            print("playing")
        else:
            choice = 2
            play_sound("Sarah.wav")
            time.sleep(2)
            print("playing")
            time.sleep(0.1)
